const loadConfig = require('./loadConfig');
const getSectionConfig = require('./getSectionConfig');
const getContentList = require('./getContentList');
const getContent = require('./getContent');
const compilePage = require('./compilePage');
const runProcessor = require('./runProcessor');
const getSiteMetadata = require('./getSiteMetadata');
const compileCss = require('./compileCss');

var tasks = {
  loadConfig: loadConfig,
  getSectionConfig: getSectionConfig,
  getContentList: getContentList,
  getContent: getContent,
  compilePage: compilePage,
  runProcessor: runProcessor,
  getSiteMetadata: getSiteMetadata,
  compileCss: compileCss
};

module.exports = tasks;